.TH "Scatter3D" "3 PerfW" "April 16, 1991" "Version 1.0" "Performance Widgets"
.ad b
.ne 4
.SH NAME
Scatter3D \- A 3D scatter plot widget.
.ne 4
.SH CLASS HIERARCHY
.br
Core
.ne 4
.SH NEW RESOURCES
.br
.TS
tab(:);
lB lB lB lB.
Name:Type:Default:Description
.T&
lB l l l.

XtNaxisXColor:Pixel:"red":color of the X axis at origin
XtNaxisYColor:Pixel:"green":color of the Y axis at origin
XtNaxisZColor:Pixel:"green":color of the Z axis at origin
XtNaxisOColor:Pixel:"green":color of the other box sides
XtNautoScale:Boolean:TRUE:automatically scale the input data
XtNmarkerSize:int:4:size of data point markers
XtNminXValue:int:0:minimum X (if autoscale is FALSE)
XtNmaxXValue:int:100:maximum X (if autoscale is FALSE)
XtNminYValue:int:0:minimum Y (if autoscale is FALSE)
XtNmaxYValue:int:100:maximum X (if autoscale is FALSE)
XtNminZValue:int:0:minimum Z (if autoscale is FALSE)
XtNmaxZValue:int:100:maximum X (if autoscale is FALSE)
XtNcloseLabelColor:Pixel:"white":color of Close label
XtNapplyLabelColor:Pixel:"white":color of Apply label
XtNresetLabelColor:Pixel:"white":color of Reset label
.TE
.ne 4
.SH TRANSLATIONS
.br
.TS
tab(:);
l l.
<Btn1Up>:notify()
.TE
.ne 4
.SH ACTIONS
.br
.TS
tab(:);
l l.
notify:creates a popup dialog for changing the view parameters
.TE
.ne 4
.SH PUBLIC FUNCTIONS
.br
.nf
.ta 3i
void \fBScatter3DSetValues\fR(w, pointCount, dataset, Xvalues, Yvalues, Zvalues)
Scatter3DWidget w;
int pointCount;
int dataset;
int *Xvalues;
int *Yvalues;
int *Zvalues;
.fi
.sp
Scatter3DSetValues() sets the current values of the 3D scatter plot.
The 3D scatter plot is automatically updated.
.ne 4
.SH DESCRIPTION
.br
The \fBScatter3D\fR widget manages a 3D scatter plot of three-dimensional
data values.
Clicking the leftmost mouse button with create a popup dialog that allows
the user to rotate the display about the X, Y, or Z axes, change the
display scale, or change the viewing perspective.
The origin of the coordinate system is drawn in color to make the bounding
box coordinates clear.
.PP
.ne 4
.SH FUTURE ENHANCEMENTS
.br
Add stereoscopic displays.
.ne 4
.SH AUTHOR
.br
.nf
Daniel A. Reed, \fIreed@cs.uiuc.edu\fR
Department of Computer Science
University of Illinois
.fi
.ne 4
.SH COMMENTS
All comments and suggestions should be directed to the author.
